Bug 1185275 - Review Request: rome-utils - Utility classes for ROME projects
Summary: Review Request: rome-utils - Utility classes for ROME projects
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-23 11:10 UTC by gil cattaneo
Modified: 2019-10-24 05:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-03 13:21:33 UTC
Type: ---


Attachments (Terms of Use)

Description gil cattaneo 2015-01-23 11:10:21 UTC
Spec URL: https://gil.fedorapeople.org/rome-utils.spec
SRPM URL: https://gil.fedorapeople.org/rome-utils-1.5.0-1.fc20.src.rpm
Description: Utility classes for ROME projects
Fedora Account System Username: gil

Comment 1 gil cattaneo 2015-11-19 12:34:14 UTC
Spec URL: https://gil.fedorapeople.org/rome-utils.spec
SRPM URL: https://gil.fedorapeople.org/rome-utils-1.5.1-1.fc23.src.rpm

- update to 1.5.1

Comment 2 Upstream Release Monitoring 2015-11-19 12:38:29 UTC
gil's scratch build of rome-utils-1.5.1-1.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11906213

Comment 3 Alexander Kurtakov 2016-01-21 12:31:32 UTC
I would do this one.

Comment 4 Alexander Kurtakov 2016-01-21 13:19:53 UTC
Source files are missing license headers. Would you please contact upstream to fix it?
Until this is fixed we can't continue with the review.

Comment 5 gil cattaneo 2016-01-21 17:48:07 UTC
(In reply to Alexander Kurtakov from comment #4)
> Source files are missing license headers. Would you please contact upstream
> to fix it?
> Until this is fixed we can't continue with the review.

reported @ https://github.com/rometools/rome-utils/issues/2

Comment 6 gil cattaneo 2016-02-06 10:59:15 UTC
Next release could depend by https://bugzilla.redhat.com/show_bug.cgi?id=1305237
for some plugins configuration (e.g. maven-bundle-plugin)

Comment 7 gil cattaneo 2016-02-09 11:52:09 UTC
(In reply to gil cattaneo from comment #5)
> (In reply to Alexander Kurtakov from comment #4)
> > Source files are missing license headers. Would you please contact upstream
> > to fix it?
> > Until this is fixed we can't continue with the review.
> 
> reported @ https://github.com/rometools/rome-utils/issues/2

Fixed @ https://github.com/rometools/rome-utils/pull/3
https://github.com/rometools/rome-utils/commit/e4d67e5344738cb22e7c749fae34e3bdec4a3ab1

Comment 8 Alexander Kurtakov 2016-02-11 14:56:35 UTC
Would you please update to the snapshot release?

Comment 9 gil cattaneo 2016-02-11 16:53:17 UTC
Spec URL: https://gil.fedorapeople.org/rome-utils.spec
SRPM URL: https://gil.fedorapeople.org/rome-utils-1.6.0-0.1.SNAPSHOT.fc23.src.rpm

- update to 1.6.0-SNAPSHOT

Comment 10 Alexander Kurtakov 2016-02-11 16:59:49 UTC
Few comments: 
* cant' access the sprm file: 
Forbidden

You don't have permission to access /rome-utils-1.6.0-0.1.SNAPSHOT.fc23.src.rpm on this server.
* spec file version is still 1.5.1
* also 0.1.SNAPSHOT is weird and not identifying the exact version
It should be 0.1.gitSHORT_SHA
* Source0 should be corrected to point to the correct tarball

Comment 11 gil cattaneo 2016-02-11 17:29:26 UTC
(In reply to Alexander Kurtakov from comment #10)
> Few comments: 
> * cant' access the sprm file: 
> Forbidden
> 
> You don't have permission to access
> /rome-utils-1.6.0-0.1.SNAPSHOT.fc23.src.rpm on this server.
Yes, I know, for me there was this problem
> * spec file version is still 1.5.1
> * also 0.1.SNAPSHOT is weird and not identifying the exact version
> It should be 0.1.gitSHORT_SHA
I tried to download:
$ wget https://github.com/rometools/rome-utils/archive/e4d67e5344738cb22e7c749fae34e3bdec4a3ab1.tar.gz#/rome-utils-e4d67e5.tar.gz
--2016-02-11 18:16:27--  https://github.com/rometools/rome-utils/archive/e4d67e5344738cb22e7c749fae34e3bdec4a3ab1.tar.gz
Resolution of github.com (github.com)... 192.30.252.129
Connect to github.com (github.com) | 192.30.252.129 |: 443 ... connected.
HTTP request sent, awaiting response... 302 Found
Position: https://codeload.github.com/rometools/rome-utils/tar.gz/e4d67e5344738cb22e7c749fae34e3bdec4a3ab1 [follows]
--2016-02-11 18:16:27--  https://codeload.github.com/rometools/rome-utils/tar.gz/e4d67e5344738cb22e7c749fae34e3bdec4a3ab1
Resolution of codeload.github.com (codeload.github.com) ... 192.30.252.160
Connect to codeload.github.com (codeload.github.com) | 192.30.252.160 |: 443 ... connected.
HTTP request sent, awaiting response... 200 OK
Length: not specified [application/x-gzip]
Rescue: "e4d67e5344738cb22e7c749fae34e3bdec4a3ab1.tar.gz"

e4d67e5344738cb22e7c749fae34e3     [ <=>                                              ]   8,47K  --.-KB/s    in 0,04s   

2016-02-11 18:16:29 (197 KB/s) - "e4d67e5344738cb22e7c749fae34e3bdec4a3ab1.tar.gz" saved [8671]

> * Source0 should be corrected to point to the correct tarball

Comment 13 Upstream Release Monitoring 2016-02-11 17:34:03 UTC
gil's scratch build of rome-utils-1.6.0-0.1.SNAPSHOT.fc23.src.rpm for rawhide completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12945548

Comment 14 gil cattaneo 2016-03-03 10:08:17 UTC
Project moved to https://github.com/rometools/rome

Comment 15 gil cattaneo 2016-03-03 13:21:16 UTC
For now is no more necessary, i close this bug.


Note You need to log in before you can comment on or make changes to this bug.